BASIC_MSNT_MULTI_DOMAIN_AUTH(1)

NAME
 basic_msnt_multi_domain_auth

SYNOPSIS
 basic_msnt_multi_domain_auth [options]

DESCRIPTION
basic_msnt_multi_domain_auth is a Squid authenticator to check user credentials against multiple NT domains using nmblookup.

The user is expected to enter his/her credentials as domain\username or domain/username (in analogy to what MS-Proxy does).

Requires Authen::SMB from CPAN and Samba if you need to perform NETBIOS queries.

OPTIONS

--debug
    Write debug info to stderr.

--wins-server
    Use the named WINS server.

     Default: broadcast will be attempted.

--no-fqdn
    Some servers don't like to be called by their fully qualified name. Define this if you wish to call them ONLY by their hostname.

--no-rdns
    Some servers really really want to be called by address.

AUTHOR
This program was written by Francesco Chemolli <kinkie@kame.usr.dsi.unimi.it>

This manual was written by Amos Jeffries <squid3@treenet.co.nz>

COPYRIGHT
 * Copyright (C) 1996-2016 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@squid-cache.org>

SEE ALSO
squid (8), GPL \fIs0(7),

The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq

The Squid Configuration Manual http://www.squid-cache.org/Doc/config/